Skip to main content
GET
Get a task queue

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Path Parameters

taskQueueId
string
required

a task queue ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:que_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"que_a1b2c3d4e5f64789a1b2c3d4e5f64789"

Response

Success

id
string
required

Canonical task queue ID (que_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^que_[0-9a-f]{32}$
Example:

"que_a1b2c3d4e5f64789a1b2c3d4e5f64789"

name
string
required
created_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

updated_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

app_url
string<uri>
required

Link that opens this resource in the ModernLoop app.